Subject: Re: [PATCH V4 0/5] mlx5 ConnectX control misc driver

From: Leon Romanovsky <[email-masked]>
Date: Fri, 5 Apr 2024 13:41:40 +0300

On Thu, Apr 04, 2024 at 08:46:41PM +0100, Edward Cree wrote:
> On 04/04/2024 19:35, Leon Romanovsky wrote:
> > On Thu, Apr 04, 2024 at 07:06:53PM +0100, Edward Cree wrote:
> >> Why?  What does the kernel get out of it?
> >>
> >> Maybe *you* need them to be supported, but maybe you should have
> >>  thought of that earlier in the design process.  ("A failure on
> >>  your part to foresee the eminently foreseeable does not
> >>  constitute an emergency on mine.")
> >> If we let folks bypass our standards with a _fait accompli_, we
> >>  don't really have standards in the first place.
> > 
> > Sorry, who are "we" and what are "our standards"?
> 
> As should be obvious from context, "we" in that sentence referred to
>  the mainline kernel.  And while participants in this thread currently
>  disagree on what "our standards" are, I hope it is not contentious
>  that the kernel community *does* have standards as to what code and
>  design is acceptable for inclusion.

You didn't answer my question. What are "our standards"?

Thanks